libetonyek::IWORKGroupElement Class Reference documentation

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
libetonyek::IWORKGroupElement Class Reference

`#include <IWORKGroupElement.h>`

Inheritance diagram for libetonyek::IWORKGroupElement:

## Public Member Functions
| IWORKGroupElement (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Protected Member Functions
void | startOfElement () override
IWORKXMLContextPtr_t | element (int name) override
void | endOfElement () override
void | ensureOpened ()
void | ensureClosed ()
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const

## Protected Attributes
bool | m_groupIsOpened
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKGroupElement()

libetonyek::IWORKGroupElement::IWORKGroupElement | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKGroupElement::element | ( | int | name | ) |
| overrideprotected

## ◆ endOfElement()

void libetonyek::IWORKGroupElement::endOfElement | ( |  | ) |
| overrideprotected

## ◆ ensureClosed()

void libetonyek::IWORKGroupElement::ensureClosed | ( |  | ) |
| protected

Referenced by element(), and endOfElement().

## ◆ ensureOpened()

void libetonyek::IWORKGroupElement::ensureOpened | ( |  | ) |
| protected

Referenced by element().

## ◆ startOfElement()

void libetonyek::IWORKGroupElement::startOfElement | ( |  | ) |
| overrideprotected

## Member Data Documentation

## ◆ m_groupIsOpened

bool libetonyek::IWORKGroupElement::m_groupIsOpened
| protected

Referenced by ensureClosed(), and ensureOpened().

The documentation for this class was generated from the following files:

- IWORKGroupElement.h
- IWORKGroupElement.cpp